package com.happy.vo;

import com.happy.dto.IPage;
import lombok.Data;

@Data
public class EvaluatePageVo {

//    总分
    private Double score;
//    位置评分
    private Double scoreWz;
//    卫生评分
    private Double scoreWs;
//    设施评分
    private Double scoreSs;
//    服务评分
    private Double scoreFw;

    private Integer totalCount;
    private Integer pictureCount;
    private Integer commentCount;


    @Override
    public String toString() {
        return "EvaluatePageVo{" +
                "score=" + score +
                ", scoreWz=" + scoreWz +
                ", scoreWs=" + scoreWs +
                ", scoreSs=" + scoreSs +
                ", scoreFw=" + scoreFw +
                '}';
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getScoreWz() {
        return scoreWz;
    }

    public void setScoreWz(Double scoreWz) {
        this.scoreWz = scoreWz;
    }

    public Double getScoreWs() {
        return scoreWs;
    }

    public void setScoreWs(Double scoreWs) {
        this.scoreWs = scoreWs;
    }

    public Double getScoreSs() {
        return scoreSs;
    }

    public void setScoreSs(Double scoreSs) {
        this.scoreSs = scoreSs;
    }

    public Double getScoreFw() {
        return scoreFw;
    }

    public void setScoreFw(Double scoreFw) {
        this.scoreFw = scoreFw;
    }
}
